GNU bug report logs - #24645
[PATCH] hexl-mode does not fontify buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Wilfred Hughes <me@HIDDEN>; Keywords: patch; merged with #14194; dated Sat, 8 Oct 2016 18:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 14194 24645. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24645 <at> debbugs.gnu.org:


Received: (at 24645) by debbugs.gnu.org; 2 Nov 2016 04:34:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 02 00:34:34 2016
Received: from localhost ([127.0.0.1]:39679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1nFx-0005ha-TM
	for submit <at> debbugs.gnu.org; Wed, 02 Nov 2016 00:34:34 -0400
Received: from mail-qk0-f181.google.com ([209.85.220.181]:33158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1c1nFv-0005hL-Sp
 for 24645 <at> debbugs.gnu.org; Wed, 02 Nov 2016 00:34:32 -0400
Received: by mail-qk0-f181.google.com with SMTP id x190so3383255qkb.0
 for <24645 <at> debbugs.gnu.org>; Tue, 01 Nov 2016 21:34:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=wilfred-me-uk.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=aAWxQakrpXWowc3YOxNVVj0N58blmnVuTiC3b8GlobU=;
 b=zihzJdQqx7yur0Vy5huIL4SG+zktsOE//14CeB2qDHNvpdywKyzxC92weGd5+5WyQG
 qhEk0pB+yBZFOMiL8Aa8LZMjnho6wtm73bAes5Tbveu0w3kur9fe0VUbhsCk+Jgo7Vpv
 PX39qFgM55i17gFTVs/FnYQE+U2Zh+2osp06uLaHqen0Vdanny20L2U+np1SuLAj9aq3
 fVaFT3ntTPXZnwCV8U9L/4KsLDGUJsrImVAavsh/G4YEw3U/cpxf4NMJEmuYupV35c6Z
 OIubmCg5V5N97TWeSHDp4ahGoMsubJXeKpa7NOAZZKwuuBug/QAGztbMdoRsPe4wbe1S
 SGLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=aAWxQakrpXWowc3YOxNVVj0N58blmnVuTiC3b8GlobU=;
 b=Y/lDaT0b2bMIuvGqtAQwuShYDm/kkhED+bmaERNJgj/49lohiKLjozOFZLB8MB8Lbc
 L9pI7soKH5jx4/1MMEzv1Sfmv1GF4AuL0qyr+EMJl9zy40yXjyc28VEoBlpWf6tYSciO
 QdKDX7bRrFRAXyyEAIGGMtAbWOspyXGdSFrHrvsE8PX+HJumcFioICKpiO/k7GdVTYNY
 4Z+VJOHUr1ZADkBtHpQFt5QDYsJkiJDyibvFqKixl+gt2tefpvsfxOt/P2CXLCDRHrNT
 4tCSR9K+zmUHpWtfTW3I/7ZtlyQjNUzmYtu1ZJNeGLlh0DGZ9Ea4qJhsRum0IubC8QBU
 OxkQ==
X-Gm-Message-State: ABUngvcD6SiZperPBJ/zNFVh45Ib7iaUx2ftTA4MgjeBZiUVqKmDjbchis2dU3DII8NrRUJuZ6pFfGLcRwVGMg==
X-Received: by 10.55.91.198 with SMTP id p189mr1491595qkb.132.1478061266349;
 Tue, 01 Nov 2016 21:34:26 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.36.48 with HTTP; Tue, 1 Nov 2016 21:34:05 -0700 (PDT)
X-Originating-IP: [74.65.191.67]
In-Reply-To: <23e1e973-5ad1-90af-5be4-6dbb96b01cb6@HIDDEN>
References: <CAFXAjY5YaLf+jHJgNOWJWhe2wj8Yw0H+W4_qf8gsFgehZe-ZVw@HIDDEN>
 <23e1e973-5ad1-90af-5be4-6dbb96b01cb6@HIDDEN>
From: Wilfred Hughes <me@HIDDEN>
Date: Wed, 2 Nov 2016 00:34:05 -0400
Message-ID: <CAFXAjY4N5=AbOez7jQzLUXJfdz2+Gb8C0Svq1G3ui7FnWD=tMQ@HIDDEN>
Subject: Re: bug#24645: [PATCH] hexl-mode does not fontify buffer
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: multipart/mixed; boundary=001a114cb210bcff2b054049f422
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24645
Cc: 24645 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--001a114cb210bcff2b054049f422
Content-Type: text/plain; charset=UTF-8

Fair enough. Here's an updated patch that respects global-font-lock-mode.

On 8 October 2016 at 14:42, Dmitry Gutov <dgutov@HIDDEN> wrote:
> On 08.10.2016 21:39, Wilfred Hughes wrote:
>>
>> hexl-mode does not ensure font-lock is enabled, so the faces
>> hexl-address-region and hexl-ascii-region are not applied.
>
>
> Would a user who disabled global-font-lock-mode really want that?
>

--001a114cb210bcff2b054049f422
Content-Type: text/x-patch; charset=US-ASCII; 
	name="0001-Apply-font-lock-in-hexl-mode-buffers.patch"
Content-Disposition: attachment; 
	filename="0001-Apply-font-lock-in-hexl-mode-buffers.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_iv0fi0h50

RnJvbSA5YjJjZjQzZjY3M2Q4MzE3ZGY4NjI3MGE0MDMyMDkwOWQ0ZTZjMTg2IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBXaWxmcmVkIEh1Z2hlcyA8bWVAd2lsZnJlZC5tZS51az4KRGF0
ZTogU2F0LCA4IE9jdCAyMDE2IDE0OjI1OjQzIC0wNDAwClN1YmplY3Q6IFtQQVRDSF0gQXBwbHkg
Zm9udC1sb2NrIGluIGhleGwtbW9kZSBidWZmZXJzLgoKKiBsaXNwL2hleGwuZWwgKGhleGwtbW9k
ZSk6IEFmdGVyIHNldHRpbmcgZm9udC1sb2NrLWRlZmF1bHRzLCB3ZSBuZWVkIHRvCiAgY2FsbCBg
Zm9udC1sb2NrLWVuc3VyZScgdG8gYXBwbHkgaGV4bC1tb2RlIGZhY2VzLgotLS0KIGxpc3AvaGV4
bC5lbCB8IDIgKysKIDEgZmlsZSBjaGFuZ2VkLCAyIGluc2VydGlvbnMoKykKCmRpZmYgLS1naXQg
YS9saXNwL2hleGwuZWwgYi9saXNwL2hleGwuZWwKaW5kZXggNWYwOTlhNS4uNTE5YjA1MiAxMDA2
NDQKLS0tIGEvbGlzcC9oZXhsLmVsCisrKyBiL2xpc3AvaGV4bC5lbApAQCAtNDAyLDYgKzQwMiw4
IEBAIGhleGwtbW9kZQogCQkJICAiaGV4bC1jdXJyZW50LWFkZHJlc3MiKQogCiAgICAgKGlmIGhl
eGwtZm9sbG93LWFzY2lpIChoZXhsLWZvbGxvdy1hc2NpaSAxKSkpCisgICh3aGVuIGdsb2JhbC1m
b250LWxvY2stbW9kZQorICAgIChmb250LWxvY2stZW5zdXJlKSkKICAgKHJ1bi1tb2RlLWhvb2tz
ICdoZXhsLW1vZGUtaG9vaykpCiAKIAotLSAKMi4xMC4xCgo=
--001a114cb210bcff2b054049f422--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24645; Package emacs. Full text available.

Message received at 24645 <at> debbugs.gnu.org:


Received: (at 24645) by debbugs.gnu.org; 8 Oct 2016 18:42:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 08 14:42:21 2016
Received: from localhost ([127.0.0.1]:48981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bswZh-0001rA-6I
	for submit <at> debbugs.gnu.org; Sat, 08 Oct 2016 14:42:21 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:35693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1bswZf-0001qs-2A
 for 24645 <at> debbugs.gnu.org; Sat, 08 Oct 2016 14:42:19 -0400
Received: by mail-wm0-f45.google.com with SMTP id f193so85058973wmg.0
 for <24645 <at> debbugs.gnu.org>; Sat, 08 Oct 2016 11:42:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=96Ny5kEwR5U5poC/zTPsctYjdcFCijb70+Z+1V3rJhE=;
 b=vt8zR91BIROSto5Gr+duXEkfrBuXHRBQxCvfgpFOrHEyCKNX8/dc4tNBMAIm3+LTOt
 1/Bu5HCrmaAcuZL6fXYZvqaYy52y/9AGwCmsKTYIwDmvPW9VOWsk/DfRiqkc9DD5hzFa
 3unWeuUAaGjUYknC+GH6myqp6mqpEbh3xyUZrAfR+YSikf9sM5m7PvVR7ELO7GgPps6h
 1ojtjJ76enlN0YZKC71MeZQBJZuA4LBTscSjKlWBtNLpMub15UneHpmzguj73WyZJxyL
 5oetJCTUWcBvaSjuFTZVJgeXIa4XNRPRi6laiikW5Wpl2C1CmgCWKVLF0UO5l+kRrHKH
 VUsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=96Ny5kEwR5U5poC/zTPsctYjdcFCijb70+Z+1V3rJhE=;
 b=WC2JSMDlxNyPsWUx1pMfYd5hHOVtLFtiW7stIJMW+Ah9tRCB32/cwkCiNbIXbNiuJE
 ONbOorF5TO0vYLD0G9k1/v4BKO5qGDhB8vRRiaY9rhtjYpW0eFef59OpAg6MCNBMzQAI
 07WhgeWPpcs1hg/cc2WOFfM83xaVWAynuRTert8AK+ELwpxtYAEPk2NgzHQb+S2HbCeO
 NJnuBxk3pSBSoMciQDA1hywCT8tIvgncfB3tYpvqQGsivbMkSUkNCPh0FCZxcy7b7NyB
 XJRMVaxBWQuFz1rEKIXb16h2O3OvIMCcL5MXx9bQTrA6hXBz6hA2pINGgmRbzHdfaa23
 kjkg==
X-Gm-Message-State: AA6/9Rnc9irAjHBSdh0pUKoJXY0h+DTT/cnJS97Rv038ephRoRYb/61bPtI9Uu8prW+RXw==
X-Received: by 10.28.52.209 with SMTP id b200mr3554593wma.104.1475952130450;
 Sat, 08 Oct 2016 11:42:10 -0700 (PDT)
Received: from [192.168.1.3] ([185.105.173.41])
 by smtp.googlemail.com with ESMTPSA id z17sm9553408wmz.23.2016.10.08.11.42.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 08 Oct 2016 11:42:09 -0700 (PDT)
Subject: Re: bug#24645: [PATCH] hexl-mode does not fontify buffer
To: Wilfred Hughes <me@HIDDEN>, 24645 <at> debbugs.gnu.org
References: <CAFXAjY5YaLf+jHJgNOWJWhe2wj8Yw0H+W4_qf8gsFgehZe-ZVw@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <23e1e973-5ad1-90af-5be4-6dbb96b01cb6@HIDDEN>
Date: Sat, 8 Oct 2016 21:42:07 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:49.0) Gecko/20100101
 Thunderbird/49.0
MIME-Version: 1.0
In-Reply-To: <CAFXAjY5YaLf+jHJgNOWJWhe2wj8Yw0H+W4_qf8gsFgehZe-ZVw@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 24645
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On 08.10.2016 21:39, Wilfred Hughes wrote:
> hexl-mode does not ensure font-lock is enabled, so the faces
> hexl-address-region and hexl-ascii-region are not applied.

Would a user who disabled global-font-lock-mode really want that?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24645; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Oct 2016 18:39:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 08 14:39:55 2016
Received: from localhost ([127.0.0.1]:48972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bswXL-0001mU-ID
	for submit <at> debbugs.gnu.org; Sat, 08 Oct 2016 14:39:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1bswXK-0001mI-EB
 for submit <at> debbugs.gnu.org; Sat, 08 Oct 2016 14:39:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bswXE-0008Qd-EI
 for submit <at> debbugs.gnu.org; Sat, 08 Oct 2016 14:39:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41100)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bswXE-0008P0-Aw
 for submit <at> debbugs.gnu.org; Sat, 08 Oct 2016 14:39:48 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34878)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bswXC-0003pu-53
 for bug-gnu-emacs@HIDDEN; Sat, 08 Oct 2016 14:39:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bswX8-0008JZ-1W
 for bug-gnu-emacs@HIDDEN; Sat, 08 Oct 2016 14:39:45 -0400
Received: from mail-qt0-x22f.google.com ([2607:f8b0:400d:c0d::22f]:35018)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1bswX7-0008In-TK
 for bug-gnu-emacs@HIDDEN; Sat, 08 Oct 2016 14:39:41 -0400
Received: by mail-qt0-x22f.google.com with SMTP id f6so34008366qtd.2
 for <bug-gnu-emacs@HIDDEN>; Sat, 08 Oct 2016 11:39:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=wilfred-me-uk.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=Q1gSmZnvixsXaoOTRUa4OsEOGfmst8PA2wd+znQQvx8=;
 b=jTgCU1G0LHB3yIkyfWxbgc8KmgCjr8H635Goga7lIGXt7EaWXbWZLNXQkzSIUOL83r
 EV5ojztWf8JR0t5UYRQnsf4KsMT8ADHTNK/nPE0Vn7X7z1Lo/m7i3XpnxpGGzeWLntIk
 uswKOlqLUW2IjM91Z60KIXAEBmhOGdqqAslc5vJtsntVgjU7YEvGU6zmDVx/cE4bwaS5
 L0IZ2oIprk3aiPdaCoec5b9uP5/U4IQHD3r+Z2IcT5QORYmvhY8ze6a5DYeSrTFpzOlS
 LxPBF2QD/tsNg7mXMeAqGb5o1pspzIZtbFYPg0ZFaS6DcqQN4d+rzAdkKogv4VA1ijSd
 GxRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Q1gSmZnvixsXaoOTRUa4OsEOGfmst8PA2wd+znQQvx8=;
 b=SJJKz/hacjvF1e4Eok7uQBvTE2zHTY46wYONz2F3klXm75faDSvs675JT+158UPlBd
 IzOqXJ0sxT9ZYMlbNDc+fLkvrbURs8X1x6iT6PoEmVhcNKeZOhA13kdKP+KVdp9FsYPm
 Y4xoVdylHwsK2C39dMlpiKJjZwX1H2CltO5uSpAEDoimIDstH3wLVdjiCjSo4cZPWYnq
 YOE+clXj0tw0MWSO8j59zlRrjzdbKy1UCTLyiw2NjuTAtTZAkDBVlnt/GUZ0i8Y9Y26j
 +c/xKhzKZxvjhUH+HBKxd4hN2uio8nnY5WhQEa062hAtFsvPzGzpd+lTp98QcalDnGMy
 mpIA==
X-Gm-Message-State: AA6/9Rk5XBHSci+jtZXvZWXh4z6ODrJgptWJkAx2/TFynZU0JrAkGKk7oof+LClKz3XcXU4WRcpmk7iJXOHlHA==
X-Received: by 10.237.51.2 with SMTP id u2mr13157731qtd.153.1475951981006;
 Sat, 08 Oct 2016 11:39:41 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.237.36.25 with HTTP; Sat, 8 Oct 2016 11:39:20 -0700 (PDT)
X-Originating-IP: [146.115.86.181]
From: Wilfred Hughes <me@HIDDEN>
Date: Sat, 8 Oct 2016 14:39:20 -0400
Message-ID: <CAFXAjY5YaLf+jHJgNOWJWhe2wj8Yw0H+W4_qf8gsFgehZe-ZVw@HIDDEN>
Subject: [PATCH] hexl-mode does not fontify buffer
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=94eb2c12560888e346053e5ed98a
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--94eb2c12560888e346053e5ed98a
Content-Type: text/plain; charset=UTF-8

hexl-mode does not ensure font-lock is enabled, so the faces
hexl-address-region and hexl-ascii-region are not applied.

See patch attached.

--94eb2c12560888e346053e5ed98a
Content-Type: text/x-patch; charset=US-ASCII; 
	name="0001-Apply-font-lock-in-hexl-mode-buffers.patch"
Content-Disposition: attachment; 
	filename="0001-Apply-font-lock-in-hexl-mode-buffers.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_iu1joonq0

RnJvbSBlNTFjNjMyNTY4NjI5Njc5Nzc0NTBkODM2YmNjMjUwY2RkMzU3ZmM5IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBXaWxmcmVkIEh1Z2hlcyA8bWVAd2lsZnJlZC5tZS51az4KRGF0
ZTogU2F0LCA4IE9jdCAyMDE2IDE0OjI1OjQzIC0wNDAwClN1YmplY3Q6IFtQQVRDSF0gQXBwbHkg
Zm9udC1sb2NrIGluIGhleGwtbW9kZSBidWZmZXJzLgoKKiBsaXNwL2hleGwuZWwgKGhleGwtbW9k
ZSk6IEFmdGVyIHNldHRpbmcgZm9udC1sb2NrLWRlZmF1bHRzLCB3ZSBuZWVkIHRvCiAgY2FsbCBg
Zm9udC1sb2NrLWVuc3VyZScgdG8gYXBwbHkgaGV4bC1tb2RlIGZhY2VzLgotLS0KIGxpc3AvaGV4
bC5lbCB8IDEgKwogMSBmaWxlIGNoYW5nZWQsIDEgaW5zZXJ0aW9uKCspCgpkaWZmIC0tZ2l0IGEv
bGlzcC9oZXhsLmVsIGIvbGlzcC9oZXhsLmVsCmluZGV4IDVmMDk5YTUuLmI0MjFmMTUgMTAwNjQ0
Ci0tLSBhL2xpc3AvaGV4bC5lbAorKysgYi9saXNwL2hleGwuZWwKQEAgLTQwMiw2ICs0MDIsNyBA
QCBoZXhsLW1vZGUKIAkJCSAgImhleGwtY3VycmVudC1hZGRyZXNzIikKIAogICAgIChpZiBoZXhs
LWZvbGxvdy1hc2NpaSAoaGV4bC1mb2xsb3ctYXNjaWkgMSkpKQorICAoZm9udC1sb2NrLWVuc3Vy
ZSkKICAgKHJ1bi1tb2RlLWhvb2tzICdoZXhsLW1vZGUtaG9vaykpCiAKIAotLSAKMi4xMC4wCgo=
--94eb2c12560888e346053e5ed98a--




Acknowledgement sent to Wilfred Hughes <me@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24645; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Nov 2017 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.